> For the complete documentation index, see [llms.txt](https://docs.calypso.money/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.calypso.money/accounts/account-webhooks.md).

# Account webhooks

**Webhook events**

| Event type                        | Description                                                    |
| --------------------------------- | -------------------------------------------------------------- |
| TOP\_UP\_PENDING\_COMPLIANCE      | Top-up transaction is being reviewed by our compliance service |
| TOP\_UP\_COMPLIANCE\_DECLINED     | Top-up has been suspended due to our compliance policy         |
| WALLET\_FUNDS\_DELIVERED\_ACCOUNT | The funds have been successfully received                      |

**Payload description**

**TOP\_UP\_PENDING\_COMPLIANCE**

| Parameter       | Type   | Description                                 |
| --------------- | ------ | ------------------------------------------- |
| type            | string | event type: TOP\_UP\_PENDING\_COMPLIANCE    |
| amount          | number | amount of received money to invoice wallet. |
| currency        | string | currency of the invoice.                    |
| senderAddress   | string | wallet address from where funds were sent.  |
| paymentDate     | string | date of deposit transaction creation.       |
| transactionHash | string | hash of the deposit transaction.            |
| fiatAmount      | object | invoice amount in fiat currency.            |

**TOP\_UP\_COMPLIANCE\_DECLINED**

| Parameter       | Type   | Description                                 |
| --------------- | ------ | ------------------------------------------- |
| type            | string | event type: TOP\_UP\_COMPLIANCE\_DECLINED   |
| amount          | number | amount of received money to invoice wallet. |
| currency        | string | currency of the invoice.                    |
| senderAddress   | string | wallet address from where funds were sent.  |
| paymentDate     | string | date of deposit transaction creation.       |
| transactionHash | string | hash of the deposit transaction.            |
| fiatAmount      | object | invoice amount in fiat currency             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.calypso.money/accounts/account-webhooks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
